NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Motion.SplineBeamPropertyCollection Class Reference

Represents a collection of SplineBeamProperty More...

Inheritance diagram for NXOpen.Motion.SplineBeamPropertyCollection:

Public Member Functions

NXOpen.Motion.SplineBeamProperty[] ToArray ()
 Returns an array of NXOpen.Motion.SplineBeamProperty objects. More...
 
unsafe
NXOpen.Motion.SplineBeamPropertyBuilder 
CreateSplineBeamPropertyBuilder (NXOpen.Motion.SplineBeamProperty splineBeamProperty)
 Creates a Motion.SplineBeamPropertyBuilder More...
 
unsafe
NXOpen.Motion.SplineBeamProperty 
FindObject (string name)
 Finds the NXOpen.Motion.SplineBeamProperty with the given name. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of SplineBeamProperty

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

Created in NX12.0.0

Member Function Documentation

unsafe NXOpen.Motion.SplineBeamPropertyBuilder NXOpen.Motion.SplineBeamPropertyCollection.CreateSplineBeamPropertyBuilder ( NXOpen.Motion.SplineBeamProperty  splineBeamProperty)

Creates a Motion.SplineBeamPropertyBuilder

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
splineBeamPropertyNXOpen.Motion.SplineBeamProperty to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
SplineBeamPropertyBuilder object
override int NXOpen.Motion.SplineBeamPropertyCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Motion.SplineBeamProperty NXOpen.Motion.SplineBeamPropertyCollection.FindObject ( string  name)

Finds the NXOpen.Motion.SplineBeamProperty with the given name.

An exception will be thrown if no object can be found with given name.

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
nameThe name of the NXOpen.Motion.SplineBeamProperty
Returns
NXOpen.Motion.SplineBeamProperty with this name
NXOpen.Motion.SplineBeamProperty [] NXOpen.Motion.SplineBeamPropertyCollection.ToArray ( )

Returns an array of NXOpen.Motion.SplineBeamProperty objects.

Property Documentation

Tag NXOpen.Motion.SplineBeamPropertyCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.